std::basic_ios::swap(3)

NAME
std::basic_ios::swap - std::basic_ios::swap

Synopsis
   protected: (since C++11)
   void swap( basic_ios& other ) noexcept;
   Exchanges the states of *this and other, except for the associated rdbuf objects.
   rdbuf() and other.rdbuf() returns the same values as before the call.
   This swap function is protected: it is called by the swap member functions of the
   derived stream classes such as std::basic_ofstream or std::basic_istringstream,
   which know how to correctly swap the associated streambuffers.

Parameters
   other - the basic_ios object to exchange the state with

Return value
   (none)

See also
   move moves from another std::basic_ios except for rdbuf
   (C++11) (protected member function)